# Uses of Enum Class
org.apache.sysds.lops.MMCJ.MMCJType

Packages that use MMCJ.MMCJType
Package
Description
org.apache.sysds.lops

## Uses of MMCJ.MMCJType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return MMCJ.MMCJType
Modifier and Type
Method
Description
`static MMCJ.MMCJType`
MMCJ.MMCJType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MMCJ.MMCJType[]`
MMCJ.MMCJType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type MMCJ.MMCJType
Modifier
Constructor
Description
``
`MMCJ(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, MMCJ.MMCJType type, Types.ExecType et)`
Constructor to perform a cross product operation.